Subject: Re: [Ideas] Prep for BOF in July - Your input Needed on a Charter Proposal

From: Padma Pillay-Esnault <[email-masked]>
Date: Thu, 1 Jun 2017 08:29:25 -0700

Hi Alex

Note taken.

Padma

On Tue, May 16, 2017 at 12:50 PM, Alexander Clemm <
[email-masked]> wrote:

> Overall this looks fine to me.  However, the deliverables section should
> probably be a bit more specific, in particular given the scope of the
> charter.  In addition to “overall architecture”, there will need to be
> deliverables for the other points as well, specifically interfaces for each
> of the distinct services that are taken into the charter and the data
> exchanged across these interfaces.
>
>
>
> --- Alex
>
>
>
> *From:* Ideas [mailto:[email-masked]] *On Behalf Of *Padma
> Pillay-Esnault
> *Sent:* Saturday, May 13, 2017 5:08 PM
> *To:* [email-masked]
> *Subject:* [Ideas] Prep for BOF in July - Your input Needed on a Charter
> Proposal
>
>
>
> Hello IDEAS
>
>
>
> The deadline for a request for a BOF for IETF99 in July is 6/02/2017 and
> just a few weeks away.
>
>
>
> Please see below a tentative charter proposal. We would like to have input
> from the list regarding the charter. We would like to hear from you
> regarding the scope of work and your interests.
>
>
>
> Proposed Charter
>
>
>
> The Identity Enabled Networks (IDEAS) working group focuses on the
> framework  to implement a common control plane for identifier–location
> separation protocols.
>
>
>
> The identifier-enabled solutions and applications are increasingly being
> considered to support mobility solutions across heterogeneous access
> networks, Internet of Things, Machine to Machine (M2M), context aware
> applications and security.  Due to the diverse nature of devices and
> applications, it may not be possible to deploy a single protocol end to
> end. A common control plane will address siloes in discovery and
> communications.  Moreover, a common control plane will address the
> technical and operational hurdle to deployment and interoperability of
> solutions.
>
>
>
> The working group will specify an overall architecture for  a common
> control plane and services for identity-enabled technology.  More
> specifically these services will include:
>
> ·      registration and lifecycle management of identities and associated
> identifiers
>
> ·      identifier binding to location(s),
>
> ·      support for grouping,
>
> ·      definition and enforcement of policies
>
> ·      support for metadata.
>
> Additionally, the control plane interface and protocol extensions that
> allow clients to communicate with that infrastructure will be covered.
>
>
>
> The abstraction provided by a secured identity will give a new level of
> control for confidentiality, accountability, security and access-control.
> The working group will cover these aspects and balance them with the
> minimized storage of data and privacy considerations.
>
>
>
> Specifically, the IDEAS WG is chartered to work on these areas:
>
>
>
> Overall architecture: This work covers the control plane, management,
> policy control, and security aspects.
>
>
>
> Manageability of the architecture: The working group will cover the
> management aspects of IDEAS architectural components and the services that
> they provide.
>
>
>
> Interface to the architecture: This work will cover interface interactions
> between the framework and identifier-enabled protocol.
>
>
>
> Where appropriate, the IDEAS WG will collaborate with other Working Groups
> to ensure interoperability with LISP, HIP, ILA and other relevant work.
>
>
>
> WG deliverables include:
>
> Overall architecture
>
>
>
> WG sustaining/informational documents may include:
>
>
>
> These documents may not necessarily be published, but may be
>
> maintained in a draft form or on a collaborative Working Group wiki
>
> to support the efforts of the Working Group and help new comers:
>
> -Problem statement
>
> -Use cases
>
> -Requirements
>
> .....
>
>
>
>
>
> Milestones
>
> TBD
>